Skip to main content
POST
/
api
/
grid
/
v1
/
accounts
/
{address}
/
external-accounts
Create an external account
curl --request POST \
  --url https://grid.squads.xyz/api/grid/v1/accounts/{address}/external-accounts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-grid-environment: <x-grid-environment>' \
  --data '
{
  "account": {},
  "account_owner_name": "<string>",
  "account_type": "us",
  "address": {},
  "currency": "usd",
  "iban": {},
  "idempotency_key": "<string>",
  "swift": {},
  "account_number": "<string>",
  "account_owner_type": "individual",
  "bank_name": "<string>",
  "business_name": "<string>",
  "first_name": "<string>",
  "last_name": "<string>",
  "routing_number": "<string>"
}
'
{
  "account_owner_name": "<string>",
  "account_type": "<string>",
  "active": true,
  "country": "<string>",
  "created_at": "<string>",
  "currency": "<string>",
  "id": "<string>",
  "provider_syncs": [
    {
      "provider": "<string>",
      "status": "<string>",
      "synced_at": "<string>"
    }
  ],
  "account_owner_type": "<string>",
  "bank_name": "<string>",
  "business_name": "<string>",
  "first_name": "<string>",
  "last_4": "<string>",
  "last_name": "<string>"
}

Authorizations

Authorization
string
header
required

Your Grid API key from the Grid Dashboard

Headers

x-grid-environment
string
required

Environment (sandbox, production)

Path Parameters

address
string
required

Smart account address

Body

application/json
account
object
required
account_owner_name
string
required
account_type
string
required
Example:

"us"

address
object
required
currency
string
required
Example:

"usd"

iban
object
required
idempotency_key
string
required
swift
object
required
account_number
string | null
account_owner_type
string | null
Example:

"individual"

bank_name
string | null
business_name
string | null
first_name
string | null
last_name
string | null
routing_number
string | null

Response

External account created

account_owner_name
string
required
account_type
string
required
active
boolean
required
country
string
required
created_at
string
required
currency
string
required
id
string
required
provider_syncs
object[]
required
account_owner_type
string | null
bank_name
string | null
business_name
string | null
first_name
string | null
last_4
string | null
last_name
string | null